clear;

M = csvread('sample_10000-0.0-1.0.csv');
X = M(1:10000,1);

%waveletComp(rawData,waveletTyp,maxLevel,threshold,typThreshold, approximationCoefficient  )
%[THR,SORH,KEEPAPP] = ddencmp('cmp','wv',X)
THR = 5;
SORH = 'h';
KEEPAPP = 1;
maxLevel = 2;
[XC, ratio] = waveletComp(X,'db3',maxLevel,THR,SORH,KEEPAPP);
XC = XC';

rmse = sqrt(sum((X-XC).^2) / length(X));

fprintf('SORH: %s, KEEPAPP: %d, CompRatio: %f, RMSE: %f\n',SORH,KEEPAPP,ratio,rmse);

subplot(2,1,1);
plot(1:length(X), X);
subplot(2,1,2);
plot(1:length(XC), XC);
